using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Project.Web.Model;
using System.Data;

namespace Project.Manager
{
    public static class DatabaseManager
    {
        private static System.Data.SqlClient.SqlConnection getCn()
        {
            string cs = Properties.Settings.Default.gwcs;
            System.Data.SqlClient.SqlConnection cn = new System.Data.SqlClient.SqlConnection();
            cn.ConnectionString = cs;
            return cn;
        }
        
        


        public static List<String> getGroupList(string GroupColumn, string table, string where = "")
        {
            List<string> retval = new List<string>();
            var cn = getCn();
            cn.Open();
            var sql = "select {0} " +
                " from {1} " +
                " where isnull({0},'') != '' ";

            if (where != "") sql += " and " + where;

            sql += " group by {0} "+
                   " order by {0}";

            sql = string.Format(sql, "[" + GroupColumn +"]",table);
            var cmd = new System.Data.SqlClient.SqlCommand(sql,cn);
            var rdr = cmd.ExecuteReader();
            while(rdr.Read())
            {
                retval.Add(rdr[0].ToString());
            }
            cmd.Dispose();
            cn.Close();
            cn.Dispose();
            return retval;
        }
        public static List<String> getDateList(string table,string where="")
        {
            return getGroupList("pdate", table,where);
        }
    }
}
